## NAME

d.vect.thematic - Displays thematic vector map

## KEYWORDS

display, vector, thematic, legend

## SYNOPSIS

d.vect.thematic
d.vect.thematic help
d.vect.thematic [-glfusm] map=string type=string column=string themetype=string themecalc=string [breakpoints=string] [layer=integer] [icon=string] [size=float] [maxsize=float] [nint=integer] colorscheme=string [pointcolor=string] [linecolor=string] [startcolor=string] [endcolor=string] [monitor=string] [where=string] [psmap=string] [group=string] [--verbose] [--quiet]

### Flags:

-g
  Save thematic map commands to group file for GIS Manager
-l
  Create graphic legend in x11 display monitor
-f
  Only draw fills (no outlines) for areas and points
-u
  Update color values to GRASSRGB column in attribute table
-s
  Output legend for GIS Manager (for scripting use only)
-m
  Use math notation brackets in legend
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=string
  Name of vector map
type=string
  Feature type
  Options: area,point,centroid,line,boundary
  Default: area
column=string
  Name of attribute column to use for thematic display (must be numeric)
themetype=string
  Type of thematic display
  Options: graduated_colors,graduated_points,graduated_lines
  Default: graduated_colors
themecalc=string
  Thematic divisions of data for display
  Options: interval,std_deviation,quartiles,custom_breaks
  Default: interval
breakpoints=string
  Break points for custom breaks option
  Separate values by spaces (0 10 20 30 ...)
layer=integer
  Layer number
  Default: 1
icon=string
  Vector point icon for point data
  Options: basic/box,basic/circle,basic/cross2,basic/diamond,basic/star,basic/cross1,basic/x
  Default: basic/circle
size=float
  Icon size for point data
  Minimum icon size/line width for graduated points/lines)
  Default: 5
maxsize=float
  Maximum icon size/line width for graduated points and lines
  Default: 20
nint=integer
  Number of classes for interval theme (integer)
  Default: 4
colorscheme=string
  Color scheme for graduated color mapping
  Select 'single_color' for graduated point/line display
  Options: blue-red,red-blue,green-red,red-green,blue-green,green-blue,cyan-yellow,yellow-cyan,custom_gradient,single_color
  Default: blue-red
pointcolor=string
  Color for graduated points map
  GRASS named color or R:G:B triplet. Set color scheme to single color
  Default: 255:0:0
linecolor=string
  Color for graduated lines or point/area outlines
  GRASS named color or R:G:B triplet. Set color scheme to single color.
  Default: 0:0:0
startcolor=string
  Beginning color for custom color gradient
  Must be expressed as R:G:B triplet
  Default: 255:0:0
endcolor=string
  Ending color for custom color gradient
  Must be expressed as R:G:B triplet
  Default: 0:0:255
monitor=string
  Select x11 display monitor for legend
  Options: x0,x1,x2,x3,x4,x5,x6,none
  Default: x1
where=string
  WHERE conditions of SQL statement without 'where' keyword
psmap=string
  Root for the name of psmap instruction files to be in current directory
  If not set, no psmap instruction files will be created)
group=string
  Name of group file where thematic map commands will be saved

## DESCRIPTION

d.vect.thematic creates thematic maps from vectors of all types and numeric attributes (stored in the data table connected to a vector map). Thematic maps can be displayed by either a graduated color scheme (for all vector types), as graduated icon sizes (for point and centroid types), or graduated line widths (for lines and boundaries with associated attributes). The user selects the vector map to be mapped and attribute column from which to derive mapping intervals, and (optionally) the layer for attribute data.

In thematic maps, the color or point size changes for each range of attribute values. Value ranges for thematic mapping can be set at regular intervals, standard deviation units on either side of the mean, quartiles, or delimited by user-defined breakpoints. User-defined breakpoints also can be entered, or piped into d.vect.thematic from standard input or other external source.

There are options to define the color scheme (graduated colors) and range of point sizes (graduated points) for thematic maps. A simple text legend is printed. Optionally, a graphic legend can be drawn in the selected display monitor. Thematic colors can be uploaded to a GRASSRGB column for later display, and thematic map display commands can be saved to a group file (*.dm) that can be opened, edited, and displayed in the GIS Manager.

When the psmap option is set to 'name', two psmap instruction files are created (in the current directory if no path is given), one for the map ('name.psmap') and one for the legend ('name_legend.psmap'). The map file also contains 'label' commands which allow to create a legend directly in the map by adding a 'vlegend' command. See the ps.map man page for more details.

## NOTES

The algorithm currently uses the v.univar.sh to calculate basic descriptive statistics needed for thematic mapping (minimum, maximum, mean, standard deviation, and quartiles).

## EXAMPLES

Earthquake points with color gradient:

    d.vect.thematic -l recent_earthquakes column=magnitude type=point

Earthquake points with different sizes:

    d.vect.thematic -l recent_earthquakes column=magnitude type=point \
                    themetype=graduated_points maxsize=15

Spearfish: differences between 'elevation.10m' and 'elevation.dem':

    # random sampling of elevation points:
    g.region rast=elevation.10m -p
    v.random random n=200
    v.db.addtable random col="el10 double precision"
    # transfer elevations to attribute table of random points map:
    v.what.rast random rast=elevation.10m col=el10
    v.db.select random

    # comparative sampling of second map, incl. differences:
    v.sample in=random col=el10 rast=elevation.dem out=elev_sample
    v.db.select elev_sample

    # thematic map:
    d.mon x0
    d.vect.thematic -l elev_sample column=diff type=point

North Carolina data set example:

    g.region vect=nc_state
    d.vect.thematic -l precip_30ynormals column=annual type=point

## SEE ALSO

d.vect, d.vect.chart, v.univar.sh

## AUTHORS

Michael Barton, Arizona State University, Daniel Cavelo Aros, Martin Landa, and Jachym Cepicky.

Last changed: $Date: 2008-08-15 08:16:42 +0200 (Fri, 15 Aug 2008)$

Main index - display index - Full index

© 2003-2014 GRASS Development Team